#ifndef INIT_H
#define INIT_H

#include <stdio.h>

// random initial condition
int init_random(_Complex double* u0, int K1, int K2, int seed);

// Gaussian initial condition
int init_gaussian(_Complex double* u0, int K1, int K2);

// Initialize from file
int init_file (_Complex double* u0, int K1, int K2, FILE* initfile);

#endif
